> For the complete documentation index, see [llms.txt](https://docs.perkinsfund.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.perkinsfund.org/readme/pcef-public-endpoints/ransom.md).

# Ransom Note Comparison

Upload a ransom note to identify likely ransomware families by similarity, or search by a keyword to find known public decryptor links when they exist.

* [Compare Notes](#compare-notes)
* [Search for Decryptors](#search-decryptors)

### API BASE URL: `https://ai.perkinsfund.org`

***

### Compare Notes

Endpoint: `/api/tool/ransomnotes`

Request type: POST

Data type: File

Headers (optional): X-Api-Key: API KEY

**NOTE: It is possible to get more than one item per list**

#### Example request

```bash
curl -F"file=@FILENAME" https://ai.perkinsfund.org/api/tool/ransomnotes
```

#### Expected outputs

Success:

```json
{
  ...
  "results": [
    [
      "8base",
      "91%"
    ]
  ],
  ...
}
```

Unsuccessful:

```json
{
  ...
  "error": {
    "error_message": "MESSAGE"
  },
  ...
}
```

***

### Search Decryptors

Endpoint: `/api/tool/ransomnotes/links`

Request type: POST

Data type: JSON

Headers (optional): X-Api-Key: API KEY

**NOTE: It is possible to get more than one item per list**

#### Example request

```bash
curl -XPOST -H "content-type: application/json" --data '{"search_term": "akira"}' https://ai.perkinsfund.org/api/tool/ransomnotes/links
```

#### Expected outputs

Success:

```json
{
  ...
  "results": [
    "https://files.avast.com/files/decryptor/avast_decryptor_akira64.exe"
  ],
  ...
}
```

Unsuccessful:

```json
{
  ...
  "error": {
    "error_message": "No search term specified?"
  },
  ...
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.perkinsfund.org/readme/pcef-public-endpoints/ransom.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
